//////////////////
//  output.c    //
//  2008/02/23  //
//////////////////

#include "global.h"

void output_init(void)
{
	timer_start(TIMER_OUT, 1000);
}

void lcd_temp(int temp)
{
	char n, n1,n2,n3,flg;
	
	if(temp < 0){
		temp = -temp;
		flg = 1;
	}
	else flg = 0;
	n1 = temp/100;
	temp = temp%100;
	n2 = temp/10;
	n3 = temp%10;
	if(flg) lcd_data('-');
	else lcd_data(' ');
	if(n1) lcd_data(n1 + 0x30);
	else lcd_data(' ');
	lcd_data(n2 + 0x30);
	lcd_data('.');
	lcd_data(n3 + 0x30);
	lcd_data('');
	lcd_data('C');
}

void output(void)
{
	if(!timer_check_start(TIMER_OUT))return;
	if(!temp_off){
		lcd_cmd(0x80);
		lcd_str_rom("");
		lcd_cmd(0x88);
		lcd_temp(tempT);
		lcd_cmd(0xc0);
		lcd_str_rom("ò");
		lcd_cmd(0xc8);
		lcd_num2s(set_point);
	}
	if(tempT > ((int)set_point*(int)10)){
		LATAbits.LATA7 = 0;				//ON
		LATAbits.LATA6 = 0;
	 }
	 if((int)set_point*(int)10 - tempT > set_diff){
		 LATAbits.LATA7 = 1;				//OFF
		 LATAbits.LATA6 = 1;
	}
}

