//////////////////
//  adconv.c    //
//  2008/02/22  //
//////////////////

#include "global.h"

static uchar ad_cnt;
static int tempB;
int tempT;

void ad_init(void)
{
	ADCON0 = 0x1;		//A/Dgp
	ADCON1 = 0xe;		//AN0 = ANALOG
	ADCON2 = 0xb5;	//El߁A8Tad,Fosc/16
	ad_cnt = 0;
	tempB = 0;
	timer_start(TIMER_AD, 10);
}


void ad_conv(void)
{
	ADDATA addata;
	long buff;
	
	if(!timer_check_start(TIMER_AD)) return;
	ad_cnt++;
	ADCON0 = 0x3;				//A/D CH0 START
	while(ADCON0bits.GO);
	addata.adb[0] = ADRESL;
	addata.adb[1] = ADRESH;
	tempB += addata.adw;
	if(ad_cnt == 32){
		buff = ((long)tempB*1105L) >> 15;
		buff = 807L - buff;
		tempT = (int)buff;
		tempB = 0;
		ad_cnt = 0;
	}
}

	